<?php
require_once __DIR__ . '/functions.php';

return [
    'id'          => 'vk',
    'type'        => 'oauth',
    'name'        => 'VK ID',
    'description' => 'Быстрая авторизация через VK.',
    'version'     => '1.0.0',
    'icon'        => 'icon.png',
    'install'     => 'vk_oauth_install',

    'init' => function() {

        // Кнопка vk на формах логина/регистрации
        register_hook('render_oauth_buttons', function() {

            $application_id = get_plugin_setting('oauth_vk', 'application_id');
            if (!$application_id) return;

            echo '
                <a href="' . homeLink() . '/oauth/vk/auth" class="oauth-btn vk-btn">
                    <img src="' . homeLink() . '/admin/plugins/oauth/vk/images/icon-but.png" alt="">
                </a>
            ';
        });
    }
];
